import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_title_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_title_s_g_entity.g.dart';

@JsonSerializable()
class JobTitleSGEntity {
	int total = 0;
	List<JobTitleSGRows> rows = [];

	JobTitleSGEntity();

	factory JobTitleSGEntity.fromJson(Map<String, dynamic> json) => $JobTitleSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobTitleSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobTitleSGRows {
	int id = 0;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "template_name")
	String? templateName = null;
	int sort = 0;
	@JSONField(name: "created_at")
	String? createdAt = null;
	@JSONField(name: "updated_at")
	String? updatedAt = null;
	@JSONField(name: "action_list")
	List<String> actionList = [];

	JobTitleSGRows();

	factory JobTitleSGRows.fromJson(Map<String, dynamic> json) => $JobTitleSGRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobTitleSGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}